Package org.apache.lucene.search.join

## Interface BitSetProducer

- All Known Implementing Classes:
    `QueryBitSetProducer`

      public interface BitSetProducer

  A producer of `BitSet`s per segment.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BitSet` | `getBitSet​(LeafReaderContext context)` | Produce a `BitSet` matching the expected documents on the given segment.

- - ### Method Detail

    - #### getBitSet

          BitSet getBitSet​(LeafReaderContext context)
                    throws IOException

      Produce a `BitSet` matching the expected documents on the given segment. This may return `null` if no documents match.
      Throws:
        `IOException`